import { createAction, props } from '@ngrx/store';

import {
  CompanyListRequest,
  CompanyListResponse
} from '@ucap-webmessenger/api-external';

export const companyList = createAction(
  '[Setting::Company] companyList',
  props<CompanyListRequest>()
);

export const companyListSuccess = createAction(
  '[Setting::Company] companyList Success',
  props<CompanyListResponse>()
);

export const companyListFailure = createAction(
  '[Setting::Company] companyList Failure',
  props<{ error: any }>()
);
